Bug 69964 - Drag and Drop when a save/load dialog appears hangs X.
Drag and Drop when a save/load dialog appears hangs X.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 19:20 EDT by James Antill
Modified: 2007-04-18 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 14:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2002-07-26 19:20:02 EDT
Description of Problem:
 If you goto a site that automatically redirects you to a download (Eg. sf.net)
and are in the process of doing a drag and drop of a link to gnome-terminal as
you do it. Then galeon will grab either the pointer or the server ... I'm not
sure which "hanging" the server.
 I tried the ungrab functions in sawfish-client, but I've got a radeon so my VT
is screwed up (mike's just fixed this :).
 Anyway a "kilall -9 galeon-bin" fixed everything.
 I'm also not sure it isn't a mozilla problem.

Version-Release number of selected component (if applicable):
galeon-1.2.3-1
mozilla-1.0rc3-0
Comment 1 Christopher Blizzard 2002-08-30 10:22:55 EDT
Is this still an issue?
Comment 2 James Antill 2002-08-30 14:02:25 EDT
 Yes, with version galeon-1.2.3-1 and mozilla-1.0rc3-0, goto...

http://prdownloads.sourceforge.net/gcm/gcm-1.0-2.i386.rpm?download

...click on a link for a mirror. Then when the new link comes up click and hold
the address and drag it to a gnome-terminal (_don't_ let go). Wait for the
automatic redirect to do it's thing and the dialog to appear. Pretty much the
only thing you can do now is Alt+Ctl+F1 and killall -9 galeon-bin.
Comment 3 Christopher Blizzard 2002-08-30 14:13:11 EDT
What happens if you just hit ESC?
Comment 4 James Antill 2002-08-30 14:44:56 EDT
 You're right, keyboard focus is in the dialog, ESC quits the dialog and then
you can click inside the gnome-terminal to "drop" the drag and drop.
 It's still non-obvious that you can get out of it IMO, as the focus "outline"
doesn't show in the dialog and the window isn't highlighted by the wm (well
sawfish, maybe metacity is better in this regard ?) ... and of course the mouse
doesn't work.
Comment 5 Bill Nottingham 2006-08-05 01:43:02 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.

Note You need to log in before you can comment on or make changes to this bug.